/* stretches page to full heigh, removes margin, padding, sets arial font, makes it in vertical style  */
html, body {
  height: 100%;
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;
  display: flex;
  flex-direction: column;
}

/*sets header color to light green, centers the textm adds padding to top and bottom, adds dark green text, makes font size of text 16 and bold */
#header {
  background-color: #addd8e;
  text-align: center;
  padding: 4px 0;
  color: #004d2c;
  font-size: 16px;
  font-weight: bold;
}

/*makes navigation bar dark green, links are vertical and has padding to the left */
#navbar {
  background-color: #006837;
  height: 40px;
  display: flex;
  align-items: center;
  padding-left: 10px;
}

/* makes navigation bar links white with padding around them with bold font*/
#navbar a {
  color: white;
  padding: 10px 20px;
  text-decoration: none;
  font-weight: bold;
}
/* makes it dark green when hovering over the links */
#navbar a:hover {
  background-color: #004d2c;
}

/*fills the space under navigation bar, prevents scrollbars around map */
#body-container {
  flex: 1;
  display: flex;
  overflow: hidden;
}

/* makes the side bar yellow with a width size and a light grey border to the right, with scriling option */
#sidebar {
  width: 320px;
  background-color: #ffffcc;
  padding: 15px;
  overflow-y: auto;
  border-right: 2px solid #ddd;
}
/*gives padding to header inside side bar */
#sidebar h2 {
  margin-top: 0;
}

/* allows main map to fill space next to the sie bar */
#map {
  flex: 1;
  height: 100%;
}

/* places it at the top of everything on the right in absolute position */
#parkSearch {
  position: absolute;
  top:10px;
  right:10px;
  z-index:1000;
  padding:6px;
  width:200px;
}


/*dropdown of search results style includes: appearing below the search box, hidden by default, scrolls if list is long, has a white background, black border */
#searchResults {
  position:absolute;
  top:40px;
  right:10px;
  z-index:1000;
  background:white;
  border:1px
  solid #ccc;
  width:200px;
  display:none;
}

/*has a light grey footer, with centered text and a light grey border on top */
footer {
  background: #e6e6e6;
  text-align: center;
  padding: 12px;
  font-size: 14px;
  color: #444;
  border-top: 1px solid #bbb;
}

/* has light blue background  which extends fully and has padding at the bottom*/
.about-page {
  background-color: #e5f5f9;
  min-height: 100%;
  padding-bottom: 40px;
}

/*has a white box white rounded corners and a shadow with padding inside */
.about-container {
  width: 80%;
  max-width: 900px;
  margin: 40px auto;
  background: white;
  padding: 30px 40px;
  border-radius: 8px;
  box-shadow: 0px 0px 8px #00000026;

}
/* first top heading is green and in the center */
.about-container h1 {
  color: #31a354;
  text-align: center;
}
/*second heading is a darker green and has a margin of 25px at the top which separates it from content */
.about-container h2 {
  color: #006d2c;
  margin-top: 25px;
}
/*paragraph inside the container with a set text height, font sise, and dark grey color */
.about-container p {
  line-height: 1.6;
  font-size: 16px;
  color: #333;
}
/* the list of roles at the bottom font size and space */
.roles-list {
  font-size: 16px;
  padding-left: 20px;
}

.roles-list li {
  margin-bottom: 10px;
}

/* the back button is green with white text rounded border with bold font and added padding */
.back-button {
  display: inline-block;
  padding: 10px 18px;
  background: #31a354;
  color: white;
  text-decoration: none;
  border-radius: 6px;
  font-weight: bold;
}
/* when hovering over it turns darker green */
.back-button:hover {
  background: #2a8b45;
}
